=== debian/changelog ===
tclvfs (1.3-1) unstable; urgency=low

  * New upstream release.

 -- David N. Welton <davidw@debian.org>  Thu,  9 Dec 2004 20:33:40 +0100

tclvfs (1.2.1-3) unstable; urgency=low

  * Added Tcl dependency, tcllib Recommends, and a README.Debian file
    indicating the location of some useful extensions.
  * Bug fix: "Missing dependencies for tclvfs broke some vfs types",
    thanks to Victor Wagner (Closes: #266028).

 -- David N. Welton <davidw@debian.org>  Mon, 23 Aug 2004 20:53:11 +0200

tclvfs (1.2.1-2) unstable; urgency=low

  * Added build-depend for Tcl dev package.

 -- David N. Welton <davidw@debian.org>  Tue,  5 Aug 2003 18:47:26 +0200

tclvfs (1.2.1-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@debian.org>  Sat, 26 Jul 2003 21:30:01 +0200
