=== debian/control ===
Source: tclvfs
Section: interpreters
Priority: optional
Maintainer: David N. Welton <davidw@debian.org>
Build-Depends: debhelper (>> 4.0.0), tcl8.4-dev
Standards-Version: 3.6.0

Package: tclvfs
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}, tcl8.4
Recommends: tcllib
Description: Exposes Tcl 8.4's virtual filesystem C API to the Tcl script level
 The TclVfs project aims to provide an extension to the Tcl language
 which allows Virtual Filesystems to be built using Tcl scripts
 only. It is also a repository of such Tcl-implemented filesystems
 (metakit, zip, ftp, tar, http, webdav, namespace, url)
