## tclvfs 1.3-1.1

=== debian/changelog ===
tclvfs (1.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * tclconfig/tcl.m4: Fixed shell syntax error. Closes: #353849.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 18 Mar 2006 21:15:06 +0000
