## tclvfs 1.3-2

=== debian/changelog ===
tclvfs (1.3-2) unstable; urgency=low

  * QA Upload (Ack NMU; Closes: #319798, #353849)
  * Set Maintainer to QA Group, Orphaned: #383656
  * Remove CVS Directories and files from tarball
  * Remove config.log on clean
  * Do not install Manpages from Makefile, use dh_installman,
    otherwise they end up in /usr/man/mann/.
  * Do not install README.cygwin
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Sat,  2 Sep 2006 12:32:47 +0200
