## tclvfs 1.3-3

=== debian/changelog ===
tclvfs (1.3-3) unstable; urgency=low

  * QA Upload.
  * Addef support for GNU/Hurd and GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 17:26:21 +0100
