=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: tclvfs
 Architecture: any
-Depends: ${shlibs:Depends} ${misc:Depends}, tcl8.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.4
 Recommends: tcllib
 Description: Exposes Tcl 8.4's virtual filesystem C API to the Tcl script level
  The TclVfs project aims to provide an extension to the Tcl language
