=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 
+	rm -f config.log
 
 	dh_clean
 
@@ -65,8 +66,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tclvfs.
-	( cd build ; $(MAKE) install DESTDIR=$(CURDIR)/debian/tclvfs/ )
-
+	( cd build ; $(MAKE) install-binaries install-libraries DESTDIR=$(CURDIR)/debian/tclvfs/ )
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -89,7 +89,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman
+	dh_installman doc/vfs.3tcl doc/vfslib.3tcl
 	dh_link
 	dh_strip
 	dh_compress
