## tclvfs 1.3-20080503

=== debian/changelog ===
tclvfs (1.3-20080503-4) unstable; urgency=low

  * Fixed FTBFS when building with Tcl 8.6.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Sep 2013 09:01:43 +0400

tclvfs (1.3-20080503-3) unstable; urgency=low

  * Fixed FTBFS when cleaning before the build itself.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Jun 2012 11:53:54 +0400

tclvfs (1.3-20080503-2) unstable; urgency=low

  * Renamed tclvfs into tcl-vfs to comply the Debian Tcl/Tk policy.
  * Added hardened build flags using dpkg-buildflags.
  * Use sourceforge.net redirector in debian/watch uscan control script.
  * Clarified the package description.
  * Mentioned tcllib as a suggested package in README.Debian.
  * Bumped debhelper compatibility version to 8.
  * Switched to 3.0 (quilt) source package format.
  * Bumped standards version to 3.9.3.
  * Removed TODO.Debian because Tcl 8.5 contains more recent http than 8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Jun 2012 09:03:31 +0400

tclvfs (1.3-20080503-1) unstable; urgency=low

  * New upstream release.
  * Mangled Debian version in debian/watch to fit the current tclvfs upstream
    versioning scheme.
  * Removed undefinrd macros BE and BS from manpages.
  * Protected quilt invocations in debian/rules to make the source package
    convertible to 3.0 (quilt) format (closes: #482712).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Jun 2008 15:09:07 +0400

tclvfs (1.3-20070620-3) unstable; urgency=low

  * Added a patch by Victor Wagner (slightly modified) which fixes zip VFS to
    work with prepended executable.
  * Fixed default encoding and eofchar of files opened from VFS.
  * Removed empty directories from the binary package.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 22 Jan 2008 20:29:31 +0300

tclvfs (1.3-20070620-2) unstable; urgency=low

  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/share/tcltk and switching to default
    tcl package in dependencies.
  * Added Homepage field in debian/control.
  * Added uscan control file debian/watch.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Nov 2007 14:27:55 +0300

tclvfs (1.3-20070620-1) unstable; urgency=low

  * New CVS snapshot.
  * Added uscan control script debian/watch.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Made clean-patched target in debian/rules depend on patch-stamp.

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 16 Sep 2007 21:53:34 +0400

tclvfs (1.3-20070414-2) unstable; urgency=low

  * New maintainer's email address sgolovan@debian.org.
  * Added libmemchan-tcl and libtrf-tcl to suggested packages in
    debian/control.
  * Added info about libmemchan-tcl and libtrf-tcl to README.Debian.
  * Added TODO.Debian file to documentation directory.
  * Added build-arch and build-indep targets to debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Aug 2007 21:29:12 +0400

tclvfs (1.3-20070414-1) unstable; urgency=low

  * New maintainer Sergei Golovan (closes: #383656).
  * New CVS snapshot.
  * Converted package from Debian native form to non-native form.
  * Fixed errors in manual pages.
  * Changed debhelper compatibility version to 5.

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 20 May 2007 23:25:07 +0400
