=== debian/control ===
Source: tclvfs
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>> 8.0.0), dpkg-dev (>= 1.16.1~), tcl-dev (>= 8.4.0)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/tclvfs

Package: tcl-vfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
Replaces: tclvfs
Conflicts: tclvfs
Provides: tclvfs
Suggests: tcl-memchan, tcl-trf, tcllib
Description: Exposes Tcl's virtual filesystem C API to the Tcl script level
 The tcl-vfs package provides an extension to the Tcl language which
 allows Virtual Filesystems to be built using Tcl scripts only. It
 gives also a collection of such Tcl-implemented filesystems
 (metakit, zip, ftp, tar, http, webdav, namespace, url)
