## tclvfs 1.4.2~20121213

=== debian/changelog ===
tclvfs (1.4.2~20121213-2build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:48:38 +0000

tclvfs (1.4.2~20121213-2) unstable; urgency=medium

  * Introduced a new patch which helps with FTBFS on GNU/kFreeBSD and GNU/Hurd
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 14 Apr 2016 23:44:26 +0300

tclvfs (1.4.2~20121213-1) unstable; urgency=medium

  * New CVS snapshot.
  * Dropped no longer necessary patches.
  * Bumped debhelper compatibility version to 9.
  * Made the binary package multi-arch aware.
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 14 Apr 2016 21:30:27 +0300
