=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: interpreters
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>> 8.0.0), dpkg-dev (>= 1.16.1~), tcl-dev (>= 8.4.0)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>> 9.0.0), dpkg-dev (>= 1.16.1~), tcl-dev (>= 8.4.0)
+Standards-Version: 3.9.7
 Homepage: http://sourceforge.net/projects/tclvfs
 
 Package: tcl-vfs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
 Replaces: tclvfs
 Conflicts: tclvfs
