=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/[.0-9]*-// \
http://sf.net/tclvfs/tclvfs-([\d.]*).tar.gz
