## tclvfs 1.4.2~20230906

=== debian/changelog ===
tclvfs (1.4.2~20230906-2) unstable; urgency=medium

  * Build two versions of the library: for Tcl 8.6 and for Tcl 9.0.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Mar 2025 15:50:56 +0300

tclvfs (1.4.2~20230906-1) unstable; urgency=medium

  * New fossil snapshot.
  * Use separate tclconfig component together with the original tarball
    fetched from the upstream repository.
  * Refresh patches.
  * Fix cleaning after the build (closes: #1047739).
  * Bumped debhelper compatibility level to 13.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 23 Apr 2024 12:29:58 +0300
