=== debian/control ===
Source: tclvfs
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tcl-dev (>= 8.6.0), tcl8.6-dev, tcl9.0-dev
Standards-Version: 4.7.2
Homepage: http://sourceforge.net/projects/tclvfs

Package: tcl-vfs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${libtcl:Depends} | libtcl8.6 | libtcl9.0
Replaces: tclvfs
Conflicts: tclvfs
Provides: tclvfs, tcl8.6-vfs (= ${binary:Version}), tcl9.0-vfs (= ${binary:Version})
Suggests: tcl-memchan, tcl-trf, tcllib
Description: Exposes Tcl's virtual filesystem C API to the Tcl script level
 The tcl-vfs package provides an extension to the Tcl language which
 allows Virtual Filesystems to be built using Tcl scripts only. It
 gives also a collection of such Tcl-implemented filesystems
 (metakit, zip, ftp, tar, http, webdav, namespace, url)
